## com.google.gwt.user.client.rpc
Class SerializableException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gwt.user.client.rpc.SerializableException

All Implemented Interfaces:
  IsSerializable, java.io.Serializable

    public class SerializableException

extends java.lang.Exception
implements IsSerializable

Superclass for exceptions thrown from RPC methods (those appearing in interfaces derived from `RemoteService`).

See Also:
  Serialized Form

Constructor Summary
`SerializableException()` The default constructor.
`SerializableException(java.lang.String msg)` Constructs a serializable exception with the specified message.

Method Summary
`java.lang.Throwable` `getCause()` Exception chaining is not currently supported for serialized exceptions.
`java.lang.String` `getMessage()`
`java.lang.Throwable` `initCause(java.lang.Throwable cause)` No effect; exception chaining is not currently supported for serialized exceptions.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializableException

    public SerializableException()

  The default constructor. This constructor is used implicitly during serialization or when constructing subclasses.

### SerializableException

    public SerializableException(java.lang.String msg)

  Constructs a serializable exception with the specified message. This constructor is most often called by subclass constructors.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Exception chaining is not currently supported for serialized exceptions.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    always `null`

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### initCause

    public java.lang.Throwable initCause(java.lang.Throwable cause)

  No effect; exception chaining is not currently supported for serialized exceptions.

  Overrides:
    `initCause` in class `java.lang.Throwable`